'use strict';

var React = require('react');
var index$1 = require('./index-2b681d10.js');
var index = require('./index-366ce1c6.js');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

var styles = {"loading":"tliWyii"};

const Loading = ({ className, theme, hideText }) => {
    const { t } = index.useTranslations();
    return (React__default["default"].createElement("div", { className: `${styles.loading} ${className}` },
        React__default["default"].createElement(index$1.Icon.Spinner, { isMarryBaby: theme === 'marryBaby' }),
        !hideText && t('loading')));
};

exports.Loading = Loading;
